# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/10_subset_loader.ipynb.

# %% auto 0
__all__ = ['subset_path', 'load_subset']

# %% ../nbs/10_subset_loader.ipynb 3
import os
import re
from typing import List, Any, Dict, Union
import warnings

import numpy as np
import pandas as pd

# %% ../nbs/10_subset_loader.ipynb 4
from .config import *
from . import PhenoLoader

subset_path = {'train': '/home/ec2-user/studies/train_datasets',
               'test_01': '/efs/.pheno/test_datasets_01',
               'test_02': '/efs/.pheno/test_datasets_02',
               'test_final': '/efs/.pheno/test_datasets_final',
               'test_backup': '/efs/.pheno/test_datasets_backup'}

# %% ../nbs/10_subset_loader.ipynb 5
def load_subset(dataset: str, subset: str, **kwargs):
    """
    Wrapper for loading a train/test subset of a dataset.
    Args:
        dataset (str): Name of the dataset to load.
        subset (str): Can be one of 'train', 'test_01', 'test_02', 'test_final'.
        **kwargs: Additional keyword arguments to be passed to PhenoLoader.
    Returns:
        DataLoader: A DataLoader object for the specified subset of the dataset.
    """
    return PhenoLoader(dataset, subset_path[subset], **kwargs)
